Subject: [B20] porting code from Unix to Windows NT
From: [email-masked] (Chris)

30 Nov 1998 18:51:54 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: "[email-masked]" <[email-masked]>

hello
I'm trying to port some Unix code to Windows Nt with Cygwin tools. My
problem is that code handles sockets and I can't compile the source.
I've put #define Win32_winsock and #include 'windows.h' in my source.
But in my Unix code (somebody else wrote it, not me... I'm novice with
unix ans C programming) SOCKET is defined like this :

typedef struct sockaddr_un SOCKET;

sockaddr_un is defined in sys/un.h like this :
/*
 * definitions for Unix IPC domain.
*/
#if defined(_SOCKADDR_LEN) || defined(_KERNEL) ||
defined(_XOPEN_SOURCE_EXTENDED)
struct sockaddr_un {
    unsigned char sun_len;
    sa_family_t     sun_family;
    char sun_path[104];
};
#else
struct sockaddr_un {
    unsigned short  sun_familly;
    char sun_path[104];
}
#endif

my unix code uses sun_path and sun_family...

in Sockets.h (cygwin), SOCKETis defined as an unsigned int

Did anybody have the same problem ? Can anybody help me ?
Thanks

--
stagiaire projet CODES (INRIA ROCQUENCOURT)
[email-masked]

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".